Bug 13557 - Add hint for on-site checkouts to list of current checkouts in OPAC
Summary: Add hint for on-site checkouts to list of current checkouts in OPAC
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-12 16:01 UTC by Katrin Fischer
Modified: 2020-05-14 17:56 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 13557: Add hint for on-site checkouts to list of current checkouts in OPAC (1.98 KB, patch)
2020-04-18 10:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13557: Add hint for on-site checkouts to list of current checkouts in OPAC (2.03 KB, patch)
2020-04-19 19:05 UTC, David Nind
Details | Diff | Splinter Review
Bug 13557: Add hint for on-site checkouts to list of current checkouts in OPAC (2.10 KB, patch)
2020-04-20 10:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-12 16:01:47 UTC
The in-house checkouts are clearly visible in the reading history, but not in the list of current checkouts in the OPAC. It would be nice to be also able to see the note there.
Comment 1 Katrin Fischer 2020-04-18 10:56:49 UTC
Created attachment 103202 [details] [review]
Bug 13557: Add hint for on-site checkouts to list of current checkouts in OPAC

In the list of checkouts it's currently not possible for the
patront or tell the difference between normal checkouts (item
is at home with them) and on-site checouts (items remained at
the library). This patch adds a hint to the list of checkouts to
allow differentiating these kinds of checkouts.

To test:
- In your patron account, have multiple checkouts, some on-site,
  some others, overdue items, etc.
- Go to: OPAC > your summary > Checked out
- Verify that there is no hint for the on-site checkouts
- Apply patch
- Check again, there should now be a note

The note also has a class, so would be easy to be hidden
or formatted differently: class="onsite_checkout".
Comment 2 Katrin Fischer 2020-04-18 10:58:54 UTC
I feel like this is more a bug than a enhancement, because it prevents people to tell where the item is (at home with them or at the library)
Comment 3 David Nind 2020-04-19 19:05:40 UTC
Created attachment 103221 [details] [review]
Bug 13557: Add hint for on-site checkouts to list of current checkouts in OPAC

In the list of checkouts it's currently not possible for the
patront or tell the difference between normal checkouts (item
is at home with them) and on-site checouts (items remained at
the library). This patch adds a hint to the list of checkouts to
allow differentiating these kinds of checkouts.

To test:
- In your patron account, have multiple checkouts, some on-site,
  some others, overdue items, etc.
- Go to: OPAC > your summary > Checked out
- Verify that there is no hint for the on-site checkouts
- Apply patch
- Check again, there should now be a note

The note also has a class, so would be easy to be hidden
or formatted differently: class="onsite_checkout".

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Jonathan Druart 2020-04-20 10:46:14 UTC
Created attachment 103264 [details] [review]
Bug 13557: Add hint for on-site checkouts to list of current checkouts in OPAC

In the list of checkouts it's currently not possible for the
patront or tell the difference between normal checkouts (item
is at home with them) and on-site checouts (items remained at
the library). This patch adds a hint to the list of checkouts to
allow differentiating these kinds of checkouts.

To test:
- In your patron account, have multiple checkouts, some on-site,
  some others, overdue items, etc.
- Go to: OPAC > your summary > Checked out
- Verify that there is no hint for the on-site checkouts
- Apply patch
- Check again, there should now be a note

The note also has a class, so would be easy to be hidden
or formatted differently: class="onsite_checkout".

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-04-20 11:27:04 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-07 21:52:44 UTC
Backported to 19.11.x for 19.11.06
Comment 7 Lucas Gass 2020-05-14 17:56:56 UTC
backported to 19.05.x for 19.05.11